bitel.billing.server.dialup.bean

## Class CalculatePeriodManager

- java.lang.Object
- - bitel.billing.server.dialup.bean.CalculatePeriodManager

-     public class CalculatePeriodManager
      extends java.lang.Object

  Менеджер учетных периодов

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalculatePeriodManager(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `deletePeriod(int id, int cid)` Удаляет конкретный учетный период
    `CalculatePeriod` | `getPeriod(int cid, int id)` Возвращает конкретный учетный период для договора
    `java.util.List<CalculatePeriod>` | `getPeriodList(int cid)` Возвращает список учетных периодов для договора
    `boolean` | `updatePeriod(int id, int cid, java.util.Calendar start, java.util.Calendar end)` Изменяет\добавляет новый учетный период (с точностью до дня)
    `boolean` | `updatePeriod(int id, int cid, java.util.Calendar start, java.util.Calendar end, boolean second)` Изменяет\добавляет новый учетный период

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CalculatePeriodManager

          public CalculatePeriodManager(java.sql.Connection con,
                                        int mid)

  - ### Method Detail

    - #### getPeriodList

          public java.util.List<CalculatePeriod> getPeriodList(int cid)

      Возвращает список учетных периодов для договора
      Parameters:
        `cid` - код договора
      Returns:
        список учетных периодов

    - #### getPeriod

          public CalculatePeriod getPeriod(int cid,
                                           int id)

      Возвращает конкретный учетный период для договора
      Parameters:
        `cid` - код договора
        `id` - код учетного периода
      Returns:

    - #### updatePeriod

          public boolean updatePeriod(int id,
                                      int cid,
                                      java.util.Calendar start,
                                      java.util.Calendar end)

      Изменяет\добавляет новый учетный период (с точностью до дня)
      Parameters:
        `id` - код учетного периода
        `cid` - код договора
        `start` - начало периода
        `end` - конец периода
      Returns:

    - #### updatePeriod

          public boolean updatePeriod(int id,
                                      int cid,
                                      java.util.Calendar start,
                                      java.util.Calendar end,
                                      boolean second)

      Изменяет\добавляет новый учетный период
      Parameters:
        `id` - код учетного периода
        `cid` - код договора
        `start` - начало периода
        `end` - конец периода
        `посекундный` -
      Returns:

    - #### deletePeriod

          public boolean deletePeriod(int id,
                                      int cid)

      Удаляет конкретный учетный период
      Parameters:
        `id` - код учетного периода
        `cid` - код договора
      Returns:
        true, если удаление было произведено успешно